# ssh root@192.168.0.100 "cat /etc/profile.d/script/pre-install.sh" | bash

# On s'assure que le script s'arrête en cas d'erreur
set -e

echo "--- Mise à jour du système ---"
apt update && apt upgrade -y

echo "--- Installation et configuration de Git ---"
apt install git -y
git config --global http.sslVerify false

echo "--- Nettoyage de /etc/profile.d ---"
cd /etc/profile.d
# On utilise sudo ici car /etc/ est protégé
rm -f *.sh

echo "--- mise en place du name server ---"
echo "search server.home
nameserver 192.168.0.2
nameserver 192.168.0.1" > /etc/resolv.conf

echo "--- Clonage du nouveau profil ---"
# Le point à la fin indique qu'on clone directement dans le dossier actuel
git clone https://gitea.server.home/Frogg/Linux_frogg-profile.d.git ./

ls -lah

echo "--- Terminé ! ---"